Bug 1503169 - (CVE-2017-10356) CVE-2017-10356 OpenJDK: weak protection of key stores against brute forcing (Security, 8181692)
CVE-2017-10356 OpenJDK: weak protection of key stores against brute forcing (...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171017,repor...
: Security
Depends On: 1499213 1499214 1499215 1499216 1499223 1499224 1499225 1499226 1503325 1503326 1503327 1503328 1503329 1503330 1503331 1503332 1503333 1503334 1503335 1503336 1515469 1515470 1515471 1515472 1516384 1516385 1516386 1516387
Blocks: 1499210
  Show dependency treegraph
 
Reported: 2017-10-17 09:24 EDT by Tomas Hoger
Modified: 2018-02-06 03:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the Security component of OpenJDK generated weak password-based encryption keys used to protect private keys stored in key stores. This made it easier to perform password guessing attacks to decrypt stored keys if an attacker could gain access to a key store.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 09:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2998 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-10-20 11:31:56 EDT
Red Hat Product Errata RHSA-2017:2999 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 15:18:50 EST
Red Hat Product Errata RHSA-2017:3046 normal SHIPPED_LIVE Important: java-1.7.0-oracle security update 2017-12-14 15:24:06 EST
Red Hat Product Errata RHSA-2017:3047 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-14 15:18:13 EST
Red Hat Product Errata RHSA-2017:3264 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-27 18:04:39 EST
Red Hat Product Errata RHSA-2017:3267 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2017-11-28 20:40:15 EST
Red Hat Product Errata RHSA-2017:3268 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2017-11-28 20:43:15 EST
Red Hat Product Errata RHSA-2017:3392 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2017-12-06 13:42:07 EST
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 16:48:15 EST

  None (edit)
Description Tomas Hoger 2017-10-17 09:24:08 EDT
It was discovered that key store implementations in the Security component of OpenJDK did not use sufficient number of iterations when generating password-based encryption keys used to protect private keys in key stores.  This made it easier to perform password guessing attacks to decrypt stored keys if an attacker could gain access to a key store.
Comment 2 Tomas Hoger 2017-10-17 16:56:49 EDT
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.
Comment 6 Tomas Hoger 2017-10-18 05:43:51 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/8763e65ce267
Comment 7 errata-xmlrpc 2017-10-20 07:34:35 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998
Comment 8 errata-xmlrpc 2017-10-23 03:50:06 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 9 errata-xmlrpc 2017-10-24 08:14:16 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 10 errata-xmlrpc 2017-10-24 08:20:02 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 13 errata-xmlrpc 2017-11-27 13:06:38 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264
Comment 14 errata-xmlrpc 2017-11-28 15:42:22 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267
Comment 15 errata-xmlrpc 2017-11-28 15:45:12 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268
Comment 16 errata-xmlrpc 2017-12-06 08:45:07 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392
Comment 17 errata-xmlrpc 2017-12-13 11:56:28 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.